body {
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 64px;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    color: black;
}
input {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 500;
}
main {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    background-color: rgb(161, 167, 169);
    color: white;
    width: 100%;
}
h1 {
    display: flex;
    justify-content: center;
}
h1 img {
    width: 23px;
    margin-right: 15px;
}
.highestzindex {
    z-index: 10;
}
.outerdiv {
    width: 100%;
    height: 100%;
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 0;
    top: 0;
}
#warningtobeginby0 {
    background-color: red;
    border: 1px solid white;
    padding: 20px;
    position: fixed;
    top: 15vw;
    border-radius: 10px;
}
#warningtobeginby0 h2 {
    margin-top: 0;
}
#warningtobeginby0 input {
    margin-right: 10px;
    font-weight: 600;
}
#warningtobeginby0div {
    position: fixed;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
}
#warningtobeginby0div.notshown {
    display: none;
}
#InfoandUpgradearea, #Clickarea {
    background-color: black;
    padding: 60px;
    width: 400px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    margin: 5rem 0;
}
img#banknote {
    width: 250px;
    background-color: white;
    padding: 12px 32px;
    border-radius: 10px;
}

main div div input.upgrade {
    padding: 10px;
    border-radius: 5px;
    width: 65%;
    height: 60px;
    background-color: rgb(231, 231, 231);
    font-weight: 700;
}
main div div input#openfactorydivbtn {
    width: 100%;
    margin: 15px;
    margin-bottom: 0;
}

.divininfo {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.divininfo p {
    background-color: rgb(231, 231, 231);
    color: black;
    padding: 10px;
    border-radius: 5px;
    width: 75px;
    margin: 1rem 0;
    display: flex;
    justify-content: center;
}
#divaroundfactorydiv {
    position: fixed;
    display: flex;
    justify-content: center;
    width: 100%;
    height: 100%;
}
#factorydiv {
    background-color: rgb(124, 150, 223);
    border-radius: 5px;
    padding: 15px;
    position: fixed;
    top: 15vw;
    width: 48%;
}
#divaroundfactorydiv.notshown {
    display: none;
}
#divaroundfactoryinputandbuyfactorybutton {
    display: flex;
    flex-direction: row;
    width: 11rem;
    justify-content: space-between;
}
.factory {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    margin-top: 20px;
}
.factory p {
    margin: 0;
}
#factorypriceinfo {
    margin-bottom: 0;
}
.red {
    background-color: red !important;
}
.blue {
    background-color: rgb(49, 121, 205) !important;
}

/*********** LOTTO ***********/

#Lottoüberdiv {
    margin: 1rem 0 0 0;
    background-color: lightcyan;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#Lottoüberdiv div {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 16px;
    width: 400px;
    height: 100px;
    background-color: rgb(167, 211, 211);
    border-radius: 5px;
}
.batchwindow {
    box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    -webkit-box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    position: fixed;
    top: 200px;
    background-color: rgb(80, 120, 120);
    border-radius: 5px;
    width: 600px;
    height: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.batchwindow.notactive {
    display: none;
}
.batchwindow h4, .batchwindow h3 {
    background-color: white;
    padding: 5px;
    border-radius: 4px;
}
.batchwindow h4 {
    margin-top: 0;
    margin-bottom: 24px;
    font-size: x-large;
}
.batchwindow h3 {
    position: absolute;
    top: 10px;
    right: 10px;
    margin: 0;
}
.closingx {
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 10;
}
.batchfield {
    position: relative;
    background-color: lightgrey;
    border-radius: 10px;
    border: 1px solid black;
    width: 150px;
    height: 150px;
    margin-bottom: 32px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: grey;
}
.batchfield.notbought {
    display: none;
}
.pricewithbuyButton {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.pricewithbuyButton.notshown {
    display: none;
}
.Preisfeld {
    background-color: white;
    padding: 5px;
    border-radius: 4px;
    margin-top: 0;
}

#greyareaabovehighriskbatch, #greyareaabovemediumriskbatch, #greyareaabovelowriskbatch {
    position: absolute;
    background-color: rgb(64, 64, 64);
    border-radius: 10px;
}

#highriskbatchnumber, #mediumriskbatchnumber, #lowriskbatchnumber {
    z-index: 3;
    -webkit-user-select: none; 
  -moz-user-select: none;     
  -ms-user-select: none;      
  user-select: none;          
}

.redeemdiv.notshown {
    display: none;
}
.redeembtn.notshown {
    display: none;
}

.batchwindow input.resetbtn.notshown {
    display: none;
}
.pricewithbuyButton .winninginfo {
    margin-top: 0;
}


/*********** AKTIEN  ***********/
#Aktienüberdiv {
    margin: 1rem 0;
    width: 100%;
    background-color: rgb(246, 246, 235);
    display: flex;
    flex-direction: column;
    align-items: center;
}
#Aktienüberdiv #stockactivatebutton {
    padding: 15px;
    margin-bottom: 25px;
    margin-top: 25px;
    font-weight: 700;
}

#stockwindow {
    box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    -webkit-box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    border: 2px solid black;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    background-color: rgb(211, 211, 205);
    width: 50%;
    height: 50%;
    border-radius: 5px;
    position: absolute;
}
#stockwindowdiv.notshown {
    display: none;
} 
#stockwindow .stockinputdiv {
    display: flex;
    flex-direction: row;
}
#stockwindow .stockinputdiv p.withrightmargin {
    margin-top: 0;
    margin-bottom: 0;
    margin-right: 10px;
}
#stockwindow .stockinputdiv svg.withmargin {
    margin-left: 10px;
}
#stockriskinfowindowdiv {
    width: 100%;
    height: 100%;
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 0;
    top: 0;
}
#stockriskinfowindowdiv.notshown {
    display: none;
}
#stockriskinfowindowdiv #stockriskinfo {
    width: 35%;
    height: 35%;
    padding: 10px;
    border-radius: 5px;
    background-color: white;
    border: 1px solid black;
    box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    -webkit-box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    position: absolute;
}
#stockriskinfo p.stockinfonormaltext {
    margin: 0;
    font-size: small;
}

.Aktienübersichtsdiv {
    width: 100%;
}
input.notshown {
    border: none;
    background-color: transparent;
    color: transparent;
}
.Aktienübersichtsdiv table {
    width: 80%;
    height: 40px;
    border-collapse: collapse;  
    background-color: beige;
}
.Aktienübersichtsdiv td {
    border: 1px solid black;
    justify-content: center;
}
.Aktienübersichtsdiv td span {
    display: flex;
    justify-content: center;
}
td.w20 {
    width: 20%;
}
td.w10 {
    width: 10%;
}
td.w35 {
    width: 35%;
}
table#überschriften {
    background-color: rgb(236, 236, 221);
}
.aktiendiv {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin-bottom: 15px;
}
.payoutbutton {
    height: 25px;
    font-weight: 600;
    border: 1.5px solid black;
    border-radius: 6px;
}
.payoutbutton:hover {
    background: rgb(223, 223, 223);
}

#tobeginning {
    position: absolute;
    left: 40px;
    top: 30px;
    font-weight: 600;
}


/* Reaktions mini Game */
#reaktionsdivathome {
    width: 100%;
    display: flex;
    align-items: center;
    padding: 10px 0;
    flex-direction: column;
    background-color: rgb(168, 208, 208);
}
#reaktionsueberdiv {
    position: fixed;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
#reaktionsueberdiv.notactive {
    display: none;
}
#reaktionsdiv {
    box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    -webkit-box-shadow: -6px 6px 20px 0px rgba(120, 29, 29, 0.5);
    -moz-box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    border-radius: 5px;
    background-color: bisque;
    width: 50%;
    height: 10rem;
    margin-bottom: 5rem;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}
#reaktionsdiv .fullwidth.flexcontainer {
    display: flex;
    position: absolute;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
}
#reaktionsdiv .fullwidth.flexcontainer div.aroundaroundpriceandbutton {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
}
#reaktionsdiv .fullwidth.flexcontainer div.aroundpriceandbutton {
    width: 200px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
#reaktionsdiv .fullwidth.flexcontainer div.aroundpriceandbutton input#inputprice {
    width: 60px;
    border: 0.5px solid black;
    border-radius: 3px;
    background-color: transparent;
    font-weight: 700;
}
#reaktionsueberdiv h2 {
    font-size: x-large;
    margin: 0;
    margin-bottom: 2rem;
}
#reaktionsinfobtn {
    position: absolute;
    top: 10px;
    left: 40px;
    z-index: 2;
}
#reaktionsinfoueberdiv {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 3;
    display: flex;
    justify-content: center;
    align-items: center;
}
#reaktionsinfoueberdiv #reaktionsinfocontentdiv {
    margin-bottom: 80px;
    z-index: 4;
    width: 40%;
    height: 30%;
    padding: 10px;
    border-radius: 5px;
    background-color: white;
    border: 1px solid black;
    box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    -webkit-box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: -6px 6px 20px 0px rgba(0,0,0,0.5);
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
}
#reaktionsinfocontentdiv p {
    margin: 7px 5px;
    font-size: small;
    font-weight: normal;
    display: flex;
    justify-content: center;
}
#reaktionsinfocontentdiv h4 {
    font-size: larger;
}
#reaktionsinfoueberdiv.notactive {
    display: none;
}
#gamefieldueberdiv {
    z-index: 11;
    position: fixed;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
#gamefieldueberdiv.notactive {
    display: none;
}
#gamefield {
    -webkit-box-shadow: 0px 5px 21px 5px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 5px 21px 5px rgba(0,0,0,0.75);
    box-shadow: 0px 5px 21px 5px rgba(0,0,0,0.75);
    background-color: white;
    border: 3px solid black;
    border-radius: 10px;
    width: 85%;
    height: 85%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}
#gamefield div {
    display: flex;
    align-items: center;
    flex-direction: column;
    font-size: x-large;
}
#gamebegininfo {
    position: absolute;
    top: 15%;
    font-size: small;
    color: rgb(187, 183, 183);
}
#fulltimer.notactive, #gamebegininfo.notactive {
    display: none;
}
#gamecounter {
    position: absolute;
    top: 10%;
}
#progressinfo {
    position: absolute;
    top: 10%;
    right: 12%;
}
#timeuntilnextround {
    position: absolute;
    top: 10%;
    left: 10%;
}
#roundswoninfo {
    position: absolute;
    top: 15%;
    right: 12%;
}
p#gamecounter, p#progressinfo {
    font-size: large;
}
#gamecounter.notactive, #progressinfo.notactive, #timeuntilnextround.notactive, #roundswoninfo.notactive {
    display: none;
}
#possiblelocationfield {
    position: fixed;
    top: 20%;
    height: 65%;
    width: 75%;
}
#possiblelocationfield.notactive {
    display: none;
}



#amountsideinfo p {
    margin: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
}
#amountsideinfo.amountshown {
    width: 120px;
}
span#amountinamountsideinfowithquestionmark {
    display: flex;
    flex-direction: row;
    align-items: center;
}
#amountsideinfo {
    font-size: large;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 0px 8px;
    border: 1px solid black;
    border-radius: 5px;
    background-color: rgb(230, 230, 230);
    height: 30px;
    -webkit-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.75);
    box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.75);
    transition: width 1s ease-in-out;
}
#amountsideinfo button#amountsideinfobtn {
    border-left: 2px solid black;
    border-bottom: 2px solid black;
    border-top: 2px solid black;
    border-right: none;
    border-radius: 5px 0 0 5px;
    padding: 0 5px;
}
#amountsideinfo #questionmark.notactive {
    display: none;
}
#amountsideinfo #amountinamountsideinfowithquestionmark.notactive {
    display: none;
}
#messagearounddiv {
    background-color: white;
    border: 2px solid black;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    bottom: 5%;
    left: 33.33;
    width: 33.33%;
    height: 10%;
    z-index: 20;
    border-radius: 10px 10px;
    -webkit-box-shadow: 0px -2px 17px 8px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px -2px 17px 8px rgba(0,0,0,0.75);
    box-shadow: 0px -2px 17px 8px rgba(0,0,0,0.75);
}
#messagearounddiv.notactive {
    display: none;
}



/* Badges */
#alwaysbadgediv {
    position: fixed;
    right: 25px;
    bottom: 25px;
    min-width: 100px;
    min-height: 100px;
    background-color: rgb(101, 169, 169);
    border-radius: 10px;
    -webkit-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.75);
    box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.75);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}
#alwaysbadgediv.white {
    background-color: white;
}
#alwaysbadgediv p {
    margin: 0;
}
#alwaysbadgediv img {
    padding: 15px;
    min-width: 130px;
    max-width: 150px;
}
#aroundbadgediv {
    display: flex;
    margin-top: 1rem;
    height: auto;
    width: 100%;
    background-color: #8f9dd5;
}
#badgediv {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}
#amountinfoouterdiv {
    position: fixed;
    right: 20px;
    top: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.actualbadgesdiv {
    display: flex;
    flex-direction: column;
}
.actualbadgesdiv div.flex {
    margin-bottom: 20px;
    display: flex;
    flex-direction: row;
}
.actualbadgesdiv div.badgeimgcontainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 1;
}
.actualbadgesdiv div.badgeimgcontainer input {
    margin: 10px 0;
    padding: 5px;
    border-radius: 7px;
    opacity: 0.1;
}
.actualbadgesdiv div.badgeimgcontainer input.notactive {
    display: none;
}
.actualbadgesdiv img.badgeimg {
    height: 150px;
    margin: 0 1.5rem;
}

.actualbadgesdiv div.badgeimgcontainer input.tobecollectedBatchbtn {
    opacity: 1;
    -webkit-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.75);
    box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.75);
}
.blur {
    filter: blur(20px);
}
.nearblur {
    filter: blur(10px);
}

/* cheats */
#cheatsBtn {
    position: absolute;
    top: 30px;
    left: 10px;
    font-weight: 600;
}